Skip to main content
`Ctrl`+`K`

# PetscFunctionList

Linked list of functions, possibly stored in dynamic libraries, accessed by string name

## Synopsis

    typedef struct _n_PetscFunctionList *PetscFunctionList;

## See Also

`PetscFunctionListAdd()`, `PetscFunctionListDestroy()`

## Level

advanced

## Location

include/petscsystypes.h

## Examples

src/ts/utils/dmplexlandau/tutorials/ex2.c
src/ts/tutorials/ex9.c
src/ksp/ksp/tutorials/ex74.c
src/ts/tutorials/ex11.c
src/ts/tutorials/ex8.c
src/ts/tutorials/ex11_sa.c

Index of all Sys routines
Table of Contents for all manual pages
Index of all manual pages